Subject: Re: [GSOC] Is adding 'dart' to userdiff.c a valid microproject?

From: Johannes Sixt <[email-masked]>
Date: Sun, 8 Feb 2026 17:56:23 +0100

Am 08.02.26 um 10:13 schrieb Pushkar Singh:
> On Sun, Feb 8, 2026 at 9:50 AM soutrik das <[email-masked]> wrote:
>> I saw that the 'dart' language was not present in userdiff.c's list of languages.
> 
> Yes, adding a new language entry to userdiff.c is a valid contribution
> and a good way to get familiar with Git’s workflow and review process.

But be aware that it's at the challenging end of the spectrum for a
microproject, if not already too much. Microprojects focus on the patch
and review workflow, while the solution itself is usually fairly simple.
A new language in userdiff.c isn't necessarily of that kind. Among other
things, we expect that the code change is accompanied by test cases.

-- Hannes